## org.gjt.sp.jedit.buffer
Class DummyFoldHandler

    java.lang.Object
      org.gjt.sp.jedit.buffer.FoldHandler
          org.gjt.sp.jedit.buffer.DummyFoldHandler

public class DummyFoldHandler
extends FoldHandler

A fold handler that does nothing.

Since:
  jEdit 4.0pre1
Version:
  $Id: DummyFoldHandler.java,v 1.3 2002/02/09 09:13:20 spestov Exp $
Author:
  Slava Pestov

Field Summary

Fields inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`SERVICE`

Constructor Summary
`DummyFoldHandler()`

Method Summary
`int` `getFoldLevel(Buffer buffer, int lineIndex, javax.swing.text.Segment seg)` Returns the fold level of the specified line.

Methods inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`equals, getFoldHandler, getFoldHandlers, getFoldModes, getName, hashCode, registerFoldHandler, toString, unregisterFoldHandler`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DummyFoldHandler

    public DummyFoldHandler()

Method Detail

### getFoldLevel

    public int getFoldLevel(Buffer buffer,
                            int lineIndex,
                            javax.swing.text.Segment seg)

  Returns the fold level of the specified line.

  Specified by:
    `getFoldLevel` in class `FoldHandler`
  Parameters:
    `buffer` - The buffer in question
    `lineIndex` - The line index
    `seg` - A segment the fold handler can use to obtain any text from the buffer, if necessary
  Returns:
    The fold level of the specified line
  Since:
    jEdit 4.0pre1